package org.openxma.dsl.snippets.ui.panels.client;

import org.eclipse.swt.widgets.Shell;
import at.spardat.xma.component.*;
import at.spardat.xma.page.*;

/**
 *
 */
public class PanelPage extends PanelPageGen {

    /**
     * Constructs the PanelPage.
     * @param parent the parent page
     */
    public PanelPage(PageClient parent) {
        super(parent);
    }

    /**
     * Constructs the PanelPage.
     * @param component the component this page belongs to
     */
    public PanelPage(ComponentClient component) {
        super(component);
    }

    /**
     * Constructs the PanelPage.
     * @param component the component this page belongs to
     * @param parentShell the shell of the calling dialog
     */
    public PanelPage(ComponentClient component, Shell parentShell) {
        super(component,parentShell);
    }


    /**
     * This method will be called every time the PanelPage becomes visible.
     */
    protected void enter() {
        super.enter();
        //TODO implement enter here!
    }

    /**
     * Recalculates the state variables of this page.
     * This method is called every time the content of any WizardModel of the
     * Page may have been changed. <br>
     * This method is called immediately before {@link #stateChanged()}.
     */
    public void determineState() {
        //TODO implement determineState here!
    }

    /**
     * Enables or disables Widgets according to the current state of the page.
     * This method is called every time the content of any WizardModel of the
     * Page may have been changed. <br>
     * This method is called immediately after {@link #determineState()}.
     */
    public void stateChanged() {
        //If XMA-DSL is used with expression, some enabling/disabling is done in super
        super.stateChanged();
        //TODO implement stateChanged here!
    }


}
